--- freeswan-1.95.jjo/pluto/constants.c.dist	Fri Feb  8 10:03:39 2002
+++ freeswan-1.95.jjo/pluto/constants.c	Fri Feb  8 11:20:47 2002
@@ -537,8 +537,27 @@
 	"OAKLEY_AES_CBC",
     };
 
+#ifdef NO_EXTRA_IKE
 enum_names oakley_enc_names =
     { OAKLEY_DES_CBC, OAKLEY_AES_CBC, oakley_enc_name, NULL };
+#else
+static const char *const oakley_enc_name_draft_aes_cbc_02[] = {
+	"OAKLEY_MARS_CBC"	/*	65001	*/,
+	"OAKLEY_RC6_CBC"     	/*	65002	*/,
+	"OAKLEY_ID_65003"	/*	65003	*/,
+	"OAKLEY_SERPENT_CBC"	/*	65004	*/,
+	"OAKLEY_TWOFISH_CBC"	/*	65005	*/,
+};
+static const char *const oakley_enc_name_ssh[] = {
+	"OAKLEY_SSH_PRIVATE_65289",
+};
+enum_names oakley_enc_names_ssh =
+    { 65289, 65289, oakley_enc_name_ssh, NULL };
+enum_names oakley_enc_names_draft_aes_cbc_02 =
+    { 65001, 65005, oakley_enc_name_draft_aes_cbc_02, &oakley_enc_names_ssh };
+enum_names oakley_enc_names =
+    { OAKLEY_DES_CBC, OAKLEY_AES_CBC, oakley_enc_name, &oakley_enc_names_draft_aes_cbc_02 };
+#endif
 
 /* Oakley Hash Algorithm attribute */
 
